package remote_http

import (
	"context"
	"mylomen_server/common/dto"
)

type aiApi interface {
	Completions(ctx context.Context, prompt, groupId string) (*dto.AiRes, error)
}

var AiApi aiApi = new(aiApiImpl)
var AiOpenRouter aiApi = new(aiRouterImpl)
var AiOllama aiApi = new(aiOllamaImpl)
