package utils

import (
	"github.com/labstack/echo/v4"
)

func GetAccessToken(c *echo.Context) string {
	accessToken := (*c).Request().Header.Get(echo.HeaderAuthorization)
	if accessToken != "" {
		return accessToken
	}

	return (*c).Request().Header.Get("udt")
}

func GetPlatform(c *echo.Context) string {
	return (*c).Request().Header.Get("platform")
}
